Skip site navigation (1) Skip section navigation (2)

Re: Problem Upgrading from 8.0 to 8.1 (WinXP) ...not still solved!!

From: manjusri schuit <manjusri(dot)schuit(at)gmail(dot)com>
To: ig(at)freemail(dot)gr
Cc: pgsql-novice(at)postgresql(dot)org
Subject: Re: Problem Upgrading from 8.0 to 8.1 (WinXP) ...not still solved!!
Date: 2005-11-25 22:33:30
Message-ID: ebedc620511251433g42186d97o5a000e400b91d4a4@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-novice
Hello
I'm also a novice but anyway maybe this will help you a bit ...

I could not make-up from youre mails if you had removed or moved the old (
8.0) data (bin etc) directory's of postgresql (c:\windows\postgresql.... or
where you installed it)
At least that 's where i went wrong some time ago. I tried to install a
newer version into the same directory of the older version and promt
everyting went down the hill
Further more you should disable the old service in the services-panel (
there is a way to remove the service but i'm not in the right place to look
it up for you)
(had a case in witch the old service was starting up my new db with the
wrong parameters)
Next you should remove the old (postgres) user account  (alternative you
could resuse it, worked for me)
remove all garbage left by the unistaller in registry (i never had to do
that myself)

Every time I install postgresql on windows i repeat at least the above steps
an it works for me.

It could be that the list above is still incompleet.

further more if you want to use the old data (do as *me(at)alternize(dot)com is
saying)*
Or use a tool to create different build scripts (my way)

Nb. For windows users it can be some times a little bit irratating to get
the right anwsers but i believe it's the second release of a (native)
postgresql version on windows, so the development of the windows versions is
a bit young in comparisation to the NIX versions.
On the site they used to make a comment about that to.

--
Met vriendelijke groet
Manjusri Schuit


On 11/25/05, Ηλίας Γκουνταρόπουλος <ig(at)freemail(dot)gr> wrote:
>
>
> Friends thank you all for replying, but I do not think you understood what
> I said.  I did not try to upgrade the database.  I uninstalled the old one
> and tried a clean install of the PostgreSQL 8.1.0-2.
>
> If anything this should have worked, but it did not.
>
> There is no reason for the installer to behave like that.  That is why I
> am so pissed off and dissapointed.
>
> If anyone can solve this problem, please tell me.  Otherwise I will have
> to ditch PostgreSQL and go for another database, which currently I am not
> very keen on doing.
>
> I am not asking for much. Just a descent installer to be able to install
> the DB and do my work.
>
>
> ---------------------------(end of broadcast)---------------------------
> TIP 6: explain analyze is your friend
>

In response to

pgsql-novice by date

Next:From: Scott SimpsonDate: 2005-11-26 20:53:15
Subject: FW: How do I get an OID from a record in table?
Previous:From: Vidar SteenDate: 2005-11-25 16:45:09
Subject: pg_hba.conf reversed behaviour from 8.1.0beta3 -> 8.1.0 using JDBC

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group